package fr.natan.akkastreamfileprocessingapi.futurecompleteness;


import scala.collection.IndexedSeq;
import scala.collection.immutable.List;
import scala.concurrent.Future;

import java.util.concurrent.CompletableFuture;
import java.util.concurrent.Executors;



public class CompletableFutureResult<T> {

    public CompletableFuture<T> buildcompletableFuture(Future<T> futureT) {
        CompletableFuture<T> completableFuture = new CompletableFuture<>();
       Executors.newSingleThreadExecutor().submit(() -> {
           while(!futureT.isCompleted()){
               Thread.sleep(100);
           }
            completableFuture.complete(futureT.value().get().get());
            return null;
        });

        return completableFuture;
    }


    public CompletableFuture<IndexedSeq<T>> buildcompletableFuture_(Future<IndexedSeq<T>> futureListT) {
        CompletableFuture<IndexedSeq<T>> completableFuture = new CompletableFuture<>();
        Executors.newSingleThreadExecutor().submit(() -> {
            while(!futureListT.isCompleted()){
                Thread.sleep(100);
            }
            completableFuture.complete(futureListT.value().get().get());
            return null;
        });

        return completableFuture;
    }

}
